#
# spec file for package ghc-streaming-commons
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name streaming-commons
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.2.1.0
Release:        2.3
Summary:        Common lower-level functions needed by various streaming data libraries
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-zlib-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Provides low-dependency functionality commonly needed by various streaming data
libraries, such as conduit and pipes.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Fri Jul 13 2018 psimons@suse.com
- Update streaming-commons to version 0.2.1.0.
  [#]# 0.2.1.0
  * Change `bindRandomPortGen` to use binding to port 0
* Mon May 14 2018 psimons@suse.com
- Update streaming-commons to version 0.2.0.0.
  * Drop `blaze-builder` dependency
  * Update `getAddrInfo` hints to allow hostnames and portnames [#46](https://github.com/fpco/streaming-commons/issues/46)
  * Add `isCompleteInflate`
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jan 26 2017 psimons@suse.com
- Update to version 0.1.17 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.1.16 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.15.5 revision 0 with cabal2obs.
* Thu May 12 2016 mimi.vx@gmail.com
- update to 0.1.15.5
  * Make getSocket{Family}TCP try all addr candidates
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 0.1.15.4
  * Fix benchmarks
* Tue Mar  8 2016 mimi.vx@gmail.com
- update to 0.1.15.2
  * Document child process behavior in waitForProcess
* Thu Feb 11 2016 mimi.vx@gmail.com
- update to 0.1.15.1
  * Catch exceptions thrown by waitForProcess
* Sun Nov 29 2015 mimi.vx@gmail.com
- update to 0.1.15
  * Use `NO_DELAY1 for TCP client connections
* Sun Oct  4 2015 mimi.vx@gmail.com
- update to 0.1.14.2
  * Fix bug in process exception display of args with spaces/quotes
* Sun Sep 27 2015 mimi.vx@gmail.com
- update to 0.1.14.1
  * Exporting HasReadBufferSize; instance for ClientSettingsUnix
* Sun Sep 13 2015 mimi.vx@gmail.com
- update to 0.1.13
  * Make size of read buffer configurable, change default size to 32 kiB
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 0.1.12.1
  * Fix up acceptSafe
* Wed Apr 22 2015 mimi.vx@gmail.com
- initial commit
